# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'roxie/version'

Gem::Specification.new do |spec|
  spec.name          = "roxie"
  spec.version       = Roxie::VERSION
  spec.authors       = ["Maxwell Barvian"]
  spec.email         = ["max@barvian.me"]
  spec.description   = %q{Yet another documentation generator}
  spec.summary       = %q{Dox-inspired documentation generator that outputs template-less JSON}
  spec.homepage      = "https://github.com/mbarvian/roxie"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 1.9.2"

  # Language detection
  spec.add_dependency "pygments.rb", "~> 0.5.1"

  # CLI
  spec.add_dependency "thor", "~> 0.18.1"
end
